import { Extension } from 'resource:///org/gnome/shell/extensions/extension.js';

export default class HDREnabler extends Extension {
    enable() {
        try {
            // This is the command you normally run manually.
            global.context.get_debug_control().enable_hdr = true;
            log("HDR has been enabled automatically.");
        } catch (e) {
            log("Failed to enable HDR: " + e);
        }
    }

    disable() {
        try {
            global.context.get_debug_control().enable_hdr = false;
            log("HDR has been disabled automatically.");
        } catch (e) {
            log("Failed to disable HDR: " + e);
        }
    }
}